View a markdown version of this page

ListTagsForResource - AWS Elastic Disaster Recovery

ListTagsForResource

List all tags for your Elastic Disaster Recovery resources.

Request Syntax

GET /tags/resourceArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

resourceArn

The ARN of the resource whose tags should be returned.

Length Constraints: Minimum length of 20. Maximum length of 2048.

Pattern: arn:.{16,2044}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "tags": { "string" : "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

tags

The tags of the requested resource.

Type: String to string map

Key Length Constraints: Minimum length of 0. Maximum length of 256.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request processing has failed because of an unknown error, exception or failure.

retryAfterSeconds

The number of seconds after which the request should be safe to retry.

HTTP Status Code: 500

ResourceNotFoundException

The resource for this operation was not found.

resourceId

The ID of the resource.

resourceType

The type of the resource.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

quotaCode

Quota code.

retryAfterSeconds

The number of seconds after which the request should be safe to retry.

serviceCode

Service code.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the AWS service.

fieldList

A list of fields that failed validation.

reason

Validation exception reason.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: